| ISF 2.2 rev 5 Intelligent Sensing Framework for Kinetis with Processor Expert

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
isf_dsa_SensorSettings_st Struct Reference

This defines the DSA sensor configuration parameter structure configuring the sensor settings by a subscriber task. More...

`#include <isf_dsa_adapter.h>`

Collaboration diagram for isf_dsa_SensorSettings_st:

## Data Fields
isf_fifo_t * | pSampleBufferInfo
uint32 | nSamplePeriod
isf_SensorDataTypes_t | resultType
isf_dsa_result_types_t | resultFormat

## Detailed Description

This defines the DSA sensor configuration parameter structure configuring the sensor settings by a subscriber task.

Definition at line 79 of file isf_dsa_adapter.h.

## Field Documentation

uint32 nSamplePeriod

Sample period in microseconds.

Definition at line 82 of file isf_dsa_adapter.h.

Referenced by configure_sensor(), fsl_fusion_virt_3D_orient_Configure(), fsl_fusion_virt_3D_orient_ValidateSettings(), fsl_fxas21002_i2cspi_3D_gyro_Configure(), fsl_fxas21002_i2cspi_3D_gyro_ValidateSettings(), fsl_fxlc95000_Configure(), fsl_fxls8471_i2cspi_3D_accel_Configure(), fsl_fxls8952_i2c_3D_accel_Configure(), fsl_fxls8952_i2c_3D_accel_ValidateSettings(), fsl_fxos8700_i2cspi_6D_AccMag_Configure(), fsl_fxos8700_i2cspi_6D_AccMag_ValidateSettings(), fsl_mag3110_i2c_3D_mag_Configure(), fsl_mma8491q_i2c_3D_accel_Configure(), fsl_mma865x_i2c_3D_accel_Configure(), fsl_mma955x_Configure(), fsl_mpl3115_i2c_1D_press_Configure(), fxls8471_GetConfig(), mag3110_SetConfig(), mag3110_ValidateConfig(), mma865x_GetConfig(), mpl3115_SetConfig(), and mpl3115_ValidateConfig().

isf_fifo_t* pSampleBufferInfo

information about the data buffer for sample data

Definition at line 81 of file isf_dsa_adapter.h.

Referenced by Analog_1_fsl_Sensor_Generic_AnalogCallback(), configure_sensor(), Custom_1_fsl_Sensor_Custom_PeriodicCallback(), fsl_fusion_virt_3D_orient_PeriodicCallback(), fsl_fxas21002_i2cspi_3D_gyro_PeriodicCallback(), fsl_fxlc95000_PeriodicCallback(), fsl_fxls8471_i2cspi_3D_accel_PeriodicCallback(), fsl_fxls8952_i2c_3D_accel_PeriodicCallback(), fsl_fxos8700_i2cspi_6D_AccMag_PeriodicCallback(), fsl_mag3110_i2c_3D_mag_PeriodicCallback(), fsl_mma8491q_read_data_OneShotCallback(), fsl_mma865x_i2c_3D_accel_PeriodicCallback(), fsl_mma955x_PeriodicCallback(), and fsl_mpl3115_i2c_1D_press_PeriodicCallback().

isf_dsa_result_types_t resultFormat

The format of data to be returned- RAW, FIXED, FLOAT

Definition at line 84 of file isf_dsa_adapter.h.

Referenced by Analog_1_fsl_Sensor_Generic_AnalogCallback(), configure_sensor(), Custom_1_fsl_Sensor_Custom_PeriodicCallback(), fsl_fusion_virt_3D_orient_PeriodicCallback(), fsl_fusion_virt_3D_orient_ValidateSettings(), fsl_fxas21002_i2cspi_3D_gyro_PeriodicCallback(), fsl_fxlc95000_PeriodicCallback(), fsl_fxls8471_i2cspi_3D_accel_PeriodicCallback(), fsl_fxls8952_i2c_3D_accel_PeriodicCallback(), fsl_fxos8700_i2cspi_6D_AccMag_PeriodicCallback(), fsl_mag3110_i2c_3D_mag_PeriodicCallback(), fsl_mma8491q_read_data_OneShotCallback(), fsl_mma865x_i2c_3D_accel_PeriodicCallback(), fsl_mma955x_PeriodicCallback(), and fsl_mpl3115_i2c_1D_press_PeriodicCallback().

isf_SensorDataTypes_t resultType

The desired data type to be returned

Definition at line 83 of file isf_dsa_adapter.h.

Referenced by Analog_1_fsl_Sensor_Generic_AnalogCallback(), configure_sensor(), Custom_1_fsl_Sensor_Custom_PeriodicCallback(), fsl_fusion_virt_3D_orient_PeriodicCallback(), fsl_fusion_virt_3D_orient_ValidateSettings(), fsl_fxas21002_i2cspi_3D_gyro_PeriodicCallback(), fsl_fxlc95000_PeriodicCallback(), fsl_fxls8471_i2cspi_3D_accel_PeriodicCallback(), fsl_fxls8952_i2c_3D_accel_PeriodicCallback(), fsl_fxos8700_i2cspi_6D_AccMag_PeriodicCallback(), fsl_mag3110_i2c_3D_mag_PeriodicCallback(), fsl_mma8491q_read_data_OneShotCallback(), fsl_mma865x_i2c_3D_accel_PeriodicCallback(), fsl_mma955x_PeriodicCallback(), and fsl_mpl3115_i2c_1D_press_PeriodicCallback().

The documentation for this struct was generated from the following file:

- ISF/Core/Include/isf_dsa_adapter.h

- © Freescale Semiconductor, Inc. 2016. All Rights Reserved.